GNU bug report logs - #36406
[PATCH] gnu: Add bitcoin-abc.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: swedebugia <swedebugia@HIDDEN>; Keywords: patch moreinfo; dated Thu, 27 Jun 2019 20:13:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 36406 <at> debbugs.gnu.org:


Received: (at 36406) by debbugs.gnu.org; 1 Aug 2019 20:44:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 16:44:06 2019
Received: from localhost ([127.0.0.1]:55490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htHvi-0004iY-EC
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 16:44:06 -0400
Received: from mx1.riseup.net ([198.252.153.129]:41598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1htHvf-0004iQ-T1
 for 36406 <at> debbugs.gnu.org; Thu, 01 Aug 2019 16:44:04 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 2EA141A0E17;
 Thu,  1 Aug 2019 13:44:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1564692243; bh=kNecWda+1qWeKlrMuJXA+mf+r3bFiX+oIIqmiYZhxwI=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=X6wdWJWktcFcughWXzVokqB4SnmjUWsg2Vv3AYJtBZcvJraFP9uDta3lMjxHI+rPm
 AJyE7vYU6kdkuuKxx9vWnVeqrktQASN3KRUwk422/B7eOWV4auk5sPf4ZmFT46Qcr2
 TeZEpShh343P6zrUtD/Suj3dajO49nbAoPuJ72OA=
X-Riseup-User-ID: 5DAB3943746F6C1C2879290F44DCD4EB7F14D527D02A3CEE97CB4CE3144A75CF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 35142221F6F;
 Thu,  1 Aug 2019 13:44:01 -0700 (PDT)
Subject: Re: [bug#36406] [PATCHv2] gnu: Add bitcoin-abc.
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <7db680ab-ff53-9569-3835-dd28f4889b8e@HIDDEN>
 <87d0is3vu6.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <004ccd40-b7f9-1d7e-3ff3-f22a78d5d2bc@HIDDEN>
Date: Thu, 1 Aug 2019 22:43:58 +0200
MIME-Version: 1.0
In-Reply-To: <87d0is3vu6.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------34041EAD3AD188E36C457045"
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36406
Cc: 36406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------34041EAD3AD188E36C457045
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

On 2019-07-03 00:39, Ludovic Courtès wrote:
> Hi swedebugia,
>
> swedebugia <swedebugia@HIDDEN> skribis:
>
>> >From 1ce83b0ceabac0260f6a9dc43d4df1cc75236aa7 Mon Sep 17 00:00:00 2001
>> From: swedebugia <swedebugia@HIDDEN>
>> Date: Thu, 27 Jun 2019 22:06:33 +0200
>> Subject: [PATCH] gnu: Add bitcoin-abc.
>>
>> * gnu/packages/finance.scm (bitcoin-abc): New variable.
> [...]
>
>> +(define-public bitcoin-abc
>> +  ;; This is a fork of bitcoin-core and identical to upstream.
>> +  (package
>> +    (name "bitcoin-abc")
> Since everything except ‘source’ is identical, I think we should write
> it as:
>
>    (package
>      (inherit bitcoin-core)
>      …)
>
>> +    (synopsis "Bitcoin ABC peer-to-peer full node for the Bitcoin Cash protocol")
>> +    (description
>> +     "Bitcoin Cash is a digital currency that enables instant payments to anyone
>> +anywhere in the world.  It uses peer-to-peer technology to operate without
>> +central authority: managing transactions and issuing money are carried out
>> +collectively by the network.  Bitcoin ABC is the reference implementation
>> +of the Bitcoin Cash protocol.  This package provides the Bitcoin Cash command
>> +line client and a client based on Qt. This is a fork of bitcoin-core.")
> Could you make the description a bit more specific to Bitcoin ABC?
> Otherwise it’s hard to tell how it differs from bitcoin-core.

Ok, updated patch attached.

-- 
Cheers Swedebugia

--------------34041EAD3AD188E36C457045
Content-Type: text/x-patch;
 name="0001-gnu-Add-bitcoin-abc.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-gnu-Add-bitcoin-abc.patch"

From 5ecc8f90ed89f41ca1e4e1fa5372cf6da114adaf Mon Sep 17 00:00:00 2001
From: swedebugia <swedebugia@HIDDEN>
Date: Thu, 1 Aug 2019 22:31:42 +0200
Subject: [PATCH] gnu: Add bitcoin-abc.

* gnu/packages/finance.scm (bitcoin-abc): New variable.
---
 gnu/packages/finance.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 9b2301360..28af2c261 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -1086,3 +1086,31 @@ financial years, budget estimates, bankcard management and other
 information.")
     (home-page "http://grisbi.org")
     (license license:gpl2+)))
+
+(define-public bitcoin-abc
+  (package
+    (inherit bitcoin-core)
+    (name "bitcoin-abc")
+    (version "0.19.8")
+    (source (origin
+             (method url-fetch)
+             (uri
+              (string-append "https://download.bitcoinabc.org/" version "/linux/src/bitcoin-abc-"
+                              version ".tar.gz"))
+             (sha256
+              (base32
+               "0ndvkxv5m8346bdhfqzgdiz1k9wyjycj05jp7daf9pml3cw79sz5"))))
+    (home-page "https://bitcoinabc.org/")
+    (synopsis "Bitcoin ABC peer-to-peer full node for the Bitcoin Cash protocol")
+    (description
+     "Bitcoin Cash brings sound money to the world, fulfilling the original
+promise of Bitcoin as Peer-to-Peer Electronic Cash.  Merchants and users are
+empowered with low fees and reliable confirmations is a digital currency that
+enables instant payments to anyone anywhere in the world.  It uses
+peer-to-peer technology to operate without central authority: managing
+transactions and issuing money are carried out collectively by the network.
+As a fork it implemented changes lowering the time between blocks and now
+offers confimations after less than 5 seconds and have significantly lower
+fees that BTC.  Bitcoin ABC is the reference implementation of the Bitcoin
+Cash protocol.  This package provides the Bitcoin Cash command line client and
+a client based on Qt. This is a fork of bitcoin-core.")))
-- 
2.19.2


--------------34041EAD3AD188E36C457045--




Information forwarded to guix-patches@HIDDEN:
bug#36406; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36406 <at> debbugs.gnu.org:


Received: (at 36406) by debbugs.gnu.org; 2 Jul 2019 22:39:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 18:39:26 2019
Received: from localhost ([127.0.0.1]:48122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiRQs-0004t3-8v
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 18:39:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hiRQr-0004sp-9D
 for 36406 <at> debbugs.gnu.org; Tue, 02 Jul 2019 18:39:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57664)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hiRQk-00038w-1S; Tue, 02 Jul 2019 18:39:18 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34936 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hiRQh-0008KV-FU; Tue, 02 Jul 2019 18:39:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: [bug#36406] [PATCH] gnu: Add bitcoin-abc.
References: <7db680ab-ff53-9569-3835-dd28f4889b8e@HIDDEN>
Date: Wed, 03 Jul 2019 00:39:13 +0200
In-Reply-To: <7db680ab-ff53-9569-3835-dd28f4889b8e@HIDDEN>
 (swedebugia@HIDDEN's message of "Thu, 27 Jun 2019 22:11:52 +0200")
Message-ID: <87d0is3vu6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36406
Cc: 36406 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi swedebugia,

swedebugia <swedebugia@HIDDEN> skribis:

>>From 1ce83b0ceabac0260f6a9dc43d4df1cc75236aa7 Mon Sep 17 00:00:00 2001
> From: swedebugia <swedebugia@HIDDEN>
> Date: Thu, 27 Jun 2019 22:06:33 +0200
> Subject: [PATCH] gnu: Add bitcoin-abc.
>
> * gnu/packages/finance.scm (bitcoin-abc): New variable.

[...]

> +(define-public bitcoin-abc
> +  ;; This is a fork of bitcoin-core and identical to upstream.
> +  (package
> +    (name "bitcoin-abc")

Since everything except =E2=80=98source=E2=80=99 is identical, I think we s=
hould write
it as:

  (package
    (inherit bitcoin-core)
    =E2=80=A6)

> +    (synopsis "Bitcoin ABC peer-to-peer full node for the Bitcoin Cash p=
rotocol")
> +    (description
> +     "Bitcoin Cash is a digital currency that enables instant payments t=
o anyone
> +anywhere in the world.  It uses peer-to-peer technology to operate witho=
ut
> +central authority: managing transactions and issuing money are carried o=
ut
> +collectively by the network.  Bitcoin ABC is the reference implementation
> +of the Bitcoin Cash protocol.  This package provides the Bitcoin Cash co=
mmand
> +line client and a client based on Qt. This is a fork of bitcoin-core.")

Could you make the description a bit more specific to Bitcoin ABC?
Otherwise it=E2=80=99s hard to tell how it differs from bitcoin-core.

Thanks in advance!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#36406; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2019 20:12:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 16:12:05 2019
Received: from localhost ([127.0.0.1]:39804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgakW-0004u7-6j
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 16:12:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:33043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgakU-0004ts-FO
 for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 16:12:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41788)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgakS-0004KV-Hw
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 16:12:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hgakQ-0008Sp-KQ
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 16:12:00 -0400
Received: from mx1.riseup.net ([198.252.153.129]:41428)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hgakO-0008Qe-Vs
 for guix-patches@HIDDEN; Thu, 27 Jun 2019 16:11:57 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 8BA701A02E4
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 13:11:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561666315; bh=c91S52gorg+zfxELVQdjs1Jd5BdDI4jZm9usL5vC+X4=;
 h=To:From:Subject:Date:From;
 b=gmiBoZxAWUc3SmpKCfjwmuphHDLdBaeZ/UtCBX1mM1KTJfUnQc+Of9qhFM/l6IJxt
 n6eTwyGJCkCg8C59b7e0ASsaDHT5+gF1FRx9+JZ6ZVJ+8JVoe8+jZW/IHsIsL/+hEy
 I5OCmSaPepY4vJNXOdRp6DE46GdFNCcdDCyegHwk=
X-Riseup-User-ID: 2FBE7D43E9AC0B941E302A0F9025A9B527F8BF8D38D2A68677D24F7B953CE7CC
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id EE6381202BF
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 13:11:54 -0700 (PDT)
To: guix-patches@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: [PATCH] gnu: Add bitcoin-abc.
Message-ID: <7db680ab-ff53-9569-3835-dd28f4889b8e@HIDDEN>
Date: Thu, 27 Jun 2019 22:11:52 +0200
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------97C50CD4DED6324890B492C1"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is a multi-part message in MIME format.
--------------97C50CD4DED6324890B492C1
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I verified with the hash found here 
https://download.bitcoinabc.org/0.19.8/linux/bitcoin-abc-0.19-linux-res.yml

I have not tested this with downloading the chain neither have I made 
any transactions.

Warning: if you start it without specifying a datadir then it defaults 
to ~/.bitcoin like bitcoin-core.

-- 
Cheers Swedebugia

--------------97C50CD4DED6324890B492C1
Content-Type: text/x-patch;
 name="0001-gnu-Add-bitcoin-abc.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-gnu-Add-bitcoin-abc.patch"

From 1ce83b0ceabac0260f6a9dc43d4df1cc75236aa7 Mon Sep 17 00:00:00 2001
From: swedebugia <swedebugia@HIDDEN>
Date: Thu, 27 Jun 2019 22:06:33 +0200
Subject: [PATCH] gnu: Add bitcoin-abc.

* gnu/packages/finance.scm (bitcoin-abc): New variable.
---
 gnu/packages/finance.scm | 67 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index cd5d3b7d9..9301b5826 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -1029,3 +1029,70 @@ Its features are:
 @item get account amount.
 @end itemize")
     (license license:agpl3+)))
+
+(define-public bitcoin-abc
+  ;; This is a fork of bitcoin-core and identical to upstream.
+  (package
+    (name "bitcoin-abc")
+    (version "0.19.8")
+    (source (origin
+             (method url-fetch)
+             (uri
+              (string-append "https://download.bitcoinabc.org/" version "/linux/src/bitcoin-abc-"
+                              version ".tar.gz"))
+             (sha256
+              (base32
+               "0ndvkxv5m8346bdhfqzgdiz1k9wyjycj05jp7daf9pml3cw79sz5"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("python" ,python) ; for the tests
+       ("util-linux" ,util-linux)   ; provides the hexdump command for tests
+       ("qttools" ,qttools)))
+    (inputs
+     `(("bdb" ,bdb-5.3) ; with 6.2.23, there is an error: ambiguous overload
+       ("boost" ,boost)
+       ("libevent" ,libevent)
+       ("miniupnpc" ,miniupnpc)
+       ("openssl" ,openssl)
+       ("protobuf" ,protobuf)
+       ("qtbase" ,qtbase)))
+    (arguments
+     `(#:configure-flags
+        (list
+          ;; We use a bdb version newer than 4.8.
+          "--with-incompatible-bdb"
+          ;; Boost is not found unless specified manually.
+          (string-append "--with-boost="
+                         (assoc-ref %build-inputs "boost"))
+          ;; XXX: The configure script looks up Qt paths by
+          ;; `pkg-config --variable=host_bins Qt5Core`, which fails to pick
+          ;; up executables residing in 'qttools', so we specify them here.
+          (string-append "ac_cv_path_LRELEASE="
+                         (assoc-ref %build-inputs "qttools")
+                         "/bin/lrelease")
+          (string-append "ac_cv_path_LUPDATE="
+                         (assoc-ref %build-inputs "qttools")
+                         "/bin/lupdate"))
+       #:phases
+        (modify-phases %standard-phases
+          (add-before 'configure 'make-qt-deterministic
+           (lambda _
+            ;; Make Qt deterministic.
+            (setenv "QT_RCC_SOURCE_DATE_OVERRIDE" "1")
+            #t))
+          (add-before 'check 'set-home
+           (lambda _
+            (setenv "HOME" (getenv "TMPDIR"))  ; Tests write to $HOME.
+            #t)))))
+    (home-page "https://bitcoinabc.org/")
+    (synopsis "Bitcoin ABC peer-to-peer full node for the Bitcoin Cash protocol")
+    (description
+     "Bitcoin Cash is a digital currency that enables instant payments to anyone
+anywhere in the world.  It uses peer-to-peer technology to operate without
+central authority: managing transactions and issuing money are carried out
+collectively by the network.  Bitcoin ABC is the reference implementation
+of the Bitcoin Cash protocol.  This package provides the Bitcoin Cash command
+line client and a client based on Qt. This is a fork of bitcoin-core.")
+    (license license:expat)))
+
-- 
2.19.2


--------------97C50CD4DED6324890B492C1--




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36406; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 1 Aug 2019 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.